Bug 1031427 - INFO: task tracker-miner-f:2119 blocked for more than 120 seconds.
INFO: task tracker-miner-f:2119 blocked for more than 120 seconds.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 15:43 EST by Mikhail
Modified: 2015-06-29 08:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:58:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (109.08 KB, text/plain)
2013-11-17 15:43 EST, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-11-17 15:43:50 EST
Created attachment 825304 [details]
dmesg output

Description of problem:
[39577.966294] INFO: task tracker-miner-f:2119 blocked for more than 120 seconds.
[39577.966304]       Not tainted 3.12.0-2.fc21.x86_64+debug #1
[39577.966305] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[39577.966307] tracker-miner-f D ffff8807c1e22560  3728  2119   1840 0x00000080
[39577.966315]  ffff8807d0ceb988 0000000000000046 00000000001d5680 ffff8807d0cebfd8
[39577.966321]  ffff8807d0cebfd8 00000000001d5680 ffff8807d0f40000 ffff88081f5d5fb8
[39577.966325]  ffff88083f589be8 0000000000000002 ffffffff8122c6e0 ffff8807d0ceba00
[39577.966328] Call Trace:
[39577.966340]  [<ffffffff8122c6e0>] ? generic_block_bmap+0x50/0x50
[39577.966347]  [<ffffffff8174a00d>] io_schedule+0x9d/0x130
[39577.966350]  [<ffffffff8122c6ee>] sleep_on_buffer+0xe/0x20
[39577.966889]  [<ffffffff817461a2>] __wait_on_bit+0x62/0x90
[39577.966892]  [<ffffffff8122c6e0>] ? generic_block_bmap+0x50/0x50
[39577.966894]  [<ffffffff81746247>] out_of_line_wait_on_bit+0x77/0x90
[39577.966900]  [<ffffffff810a2ab0>] ? wake_atomic_t_function+0x40/0x40
[39577.966904]  [<ffffffff8122dcba>] __wait_on_buffer+0x2a/0x30
[39577.966912]  [<ffffffff8128ccc7>] ext4_bread+0x77/0xb0
[39577.966917]  [<ffffffff81295cab>] __ext4_read_dirblock+0x3b/0x2d0
[39577.966919]  [<ffffffff8129749f>] ext4_dx_find_entry+0xbf/0x1b0
[39577.966922]  [<ffffffff812979d5>] ext4_find_entry+0x445/0x500
[39577.966932]  [<ffffffff810b9415>] ? sched_clock_cpu+0xb5/0x100
[39577.966935]  [<ffffffff810b954f>] ? local_clock+0x5f/0x70
[39577.966944]  [<ffffffff810ef77f>] ? lock_release_holdtime.part.29+0xf/0x1a0
[39577.966946]  [<ffffffff81297ad2>] ext4_lookup+0x42/0x150
[39577.966958]  [<ffffffff81200c3d>] lookup_real+0x1d/0x50
[39577.967001]  [<ffffffff812013e3>] __lookup_hash+0x33/0x40
[39577.967005]  [<ffffffff817415ff>] lookup_slow+0x44/0xa9
[39577.967009]  [<ffffffff812041e3>] path_lookupat+0x763/0x7d0
[39577.967016]  [<ffffffff811d60c2>] ? kmem_cache_alloc+0x112/0x340
[39577.967018]  [<ffffffff8120293f>] ? getname_flags+0x4f/0x190
[39577.967020]  [<ffffffff8120427b>] filename_lookup+0x2b/0xd0
[39577.967023]  [<ffffffff81207f04>] user_path_at_empty+0x54/0x90
[39577.967026]  [<ffffffff810f235d>] ? trace_hardirqs_on_caller+0xfd/0x1c0
[39577.967028]  [<ffffffff810f242d>] ? trace_hardirqs_on+0xd/0x10
[39577.967031]  [<ffffffff8174c1fc>] ? _raw_spin_unlock_irq+0x2c/0x50
[39577.967033]  [<ffffffff81207f51>] user_path_at+0x11/0x20
[39577.967036]  [<ffffffff811fb9c0>] vfs_fstatat+0x50/0xa0
[39577.967038]  [<ffffffff811fbc12>] SYSC_newlstat+0x22/0x40
[39577.967040]  [<ffffffff810f235d>] ? trace_hardirqs_on_caller+0xfd/0x1c0
[39577.967048]  [<ffffffff8138330b>] ? trace_hardirqs_on_thunk+0x3a/0x3f
[39577.967087]  [<ffffffff811fc03e>] SyS_newlstat+0xe/0x10
[39577.967091]  [<ffffffff81756229>] system_call_fastpath+0x16/0x1b
[39577.967094] 1 lock held by tracker-miner-f/2119:
[39577.967095]  #0:  (&type->i_mutex_dir_key#2){+.+.+.}, at: [<ffffffff817415f0>] lookup_slow+0x35/0xa9
Comment 1 Mikhail 2013-11-17 15:45:22 EST
$ rpm -q tracker
tracker-0.16.2-4.fc20.x86_64
Comment 2 Fedora Admin XMLRPC Client 2014-07-26 13:12:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2014-07-27 02:34:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2015-05-29 05:47:16 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:58:09 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.